jest.disableAutomock();

import Scale from '../../src/utils/Scale';
import expect from 'expect';

describe('Scale', () => {

	const scaleTypes = ['linear', 'identity', 'sqrt', 'pow', 'log', 'quantize', 'quantile', 'ordinal', 'time'];

	for (var i = 0, l = scaleTypes.length; i < l; i++) {
		const props = { scale: scaleTypes[i], range: [0, 90] }
		it(`provicdes ${scaleTypes[i]} scale`, () => {
			const scale = Scale(props);
			expect(typeof scale).toEqual('function');
		});
	}


});
